Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PlatformProcess Class Reference

This class is the platform dependent base class for all processes. More...

`#include <ProcessFramework.h>`

Inheritance diagram for PlatformProcess:

[legend]
Collaboration diagram for PlatformProcess:

[legend]
List of all members.

## Public Member Functions
| PlatformProcess ()
| Constructor.
SenderList *& | getFirstSender ()
| The function returns the begin of list of all senders.
ReceiverList *& | getFirstReceiver ()
| The function returns the begin of list of all receivers.
## Private Attributes
SenderList * | firstSender
| The begin of the list of all senders of this process.
ReceiverList * | firstReceiver
| The begin of the list of all receivers of this process.

## Detailed Description

This class is the platform dependent base class for all processes.

Definition at line 38 of file ProcessFramework.h.

## Constructor & Destructor Documentation

PlatformProcess::PlatformProcess | ( |  | ) | `[inline]`

| Constructor. Definition at line 48 of file ProcessFramework.h. References firstReceiver, and firstSender.

## Member Function Documentation

SenderList*& PlatformProcess::getFirstSender | ( |  | ) | `[inline]`

| The function returns the begin of list of all senders. Note that the function returns a reference that can be changed. Returns: A reference to the address of the first element. Definition at line 59 of file ProcessFramework.h. References firstSender. Referenced by SenderList::getFirst(), ProcessBase::init(), and ProcessCreator< T >::processNextFrame().

ReceiverList*& PlatformProcess::getFirstReceiver | ( |  | ) | `[inline]`

| The function returns the begin of list of all receivers. Note that the function returns a reference that can be changed. Returns: A reference to the address of the first element. Definition at line 66 of file ProcessFramework.h. References firstReceiver. Referenced by ReceiverList::getFirst(), ProcessBase::init(), and ProcessCreator< T >::processNextFrame().

## Member Data Documentation

SenderList* PlatformProcess::firstSender`[private]`

| The begin of the list of all senders of this process. Definition at line 41 of file ProcessFramework.h. Referenced by getFirstSender(), and PlatformProcess().

ReceiverList* PlatformProcess::firstReceiver`[private]`

| The begin of the list of all receivers of this process. Definition at line 42 of file ProcessFramework.h. Referenced by getFirstReceiver(), and PlatformProcess().

The documentation for this class was generated from the following file:

- Platform/Aperios1.3.2/ProcessFramework.h